<?php
    // ==========================================
    // Clase: CategoriaProducto
    // Tabla: CATEGORIA_PRODUCTO
    // ==========================================
    class CategoriaProducto {

        // ======= Atributos =======
        private $idCategoria;       // VARCHAR(100) PK
        private $estadoCategoria;   // VARCHAR(10) NOT NULL ('ACTIVO' | 'INACTIVO')
        
        // ======= Constructor =======
        public function __construct(
            $idCategoria = null,
            $estadoCategoria = null
        ) {
            $this->idCategoria      = $idCategoria;
            $this->estadoCategoria  = $estadoCategoria;
        }

        // ======= Getters / Setters =======
        public function getIdCategoria() { return $this->idCategoria; }
        public function setIdCategoria($idCategoria) { $this->idCategoria = $idCategoria; }

        public function getEstadoCategoria() { return $this->estadoCategoria; }
        public function setEstadoCategoria($estadoCategoria) { $this->estadoCategoria = $estadoCategoria; }
    }
?>